#define BLUE 11
#define GREEN 10
#define RED 9

#include "IRremote.h"
IRrecv irrecv(6); // указываем вывод, к которому подключен приемник

decode_results results;
boolean Net = 0; // указываем переменную, в которой будем зпоминать нажатие кнопки
boolean Net1 = 0;
boolean Net2 = 0;

void setup() {
  irrecv.enableIRIn(); // запускаем прием
  pinMode(9,OUTPUT);// пин, к кторому подключена реле
  pinMode(10,OUTPUT);
  pinMode(11,OUTPUT);
}

void loop() {
  if ( irrecv.decode(&results))// если данные пришли
  {
    if (results.value == 16195807)// если пришли данные от нужной кнопкм
    {
      Net = !Net;// запоминаем нажатие
      digitalWrite(9,Net);// вкл\выкл реле
      delay(50);// ждем, чтобы кнопка вернудась в изначальное положение
    }

    if (results.value == 16228447)// если пришли данные от нужной кнопкм
    {
      Net1 = !Net1;// запоминаем нажатие
      digitalWrite(10,Net1);// вкл\выкл реле
      delay(50);// ждем, чтобы кнопка вернудась в изначальное положение
    }

    if (results.value == 16212127)// если пришли данные от нужной кнопкм
    {
      Net2 = !Net2;// запоминаем нажатие
      digitalWrite(11,Net2);// вкл\выкл реле
      delay(50);// ждем, чтобы кнопка вернудась в изначальное положение
    }

    irrecv.resume();// принимаем следующую команду
  }
}
